corda / net.corda.node.driver / DriverDSLExposedInterface / startNotaryCluster

# startNotaryCluster

`abstract fun startNotaryCluster(notaryName: String, clusterSize: Int = 3, type: ServiceType = RaftValidatingNotaryService.type, rpcUsers: List<User> = emptyList()): Future<Pair<Party, List<NodeHandle>>>`

Starts a distributed notary cluster.

### Parameters

`notaryName` - The legal name of the advertised distributed notary service.

`clusterSize` - Number of nodes to create for the cluster.

`type` - The advertised notary service type. Currently the only supported type is RaftValidatingNotaryService.type.

`rpcUsers` - List of users who are authorised to use the RPC system. Defaults to empty list.

Return
The Party identity of the distributed notary service, and the NodeInfos of the notaries in the cluster.